## tolua 4.0a

=== Makefile ===
# makefile for tolua hierarchy

all co clean klean:
	cd src/lib; make $@
	cd src/bin; make $@

=== src/bin/Makefile ===
# makefile for tolua executable

TOLUA=../..

include $(TOLUA)/config

OBJS=	\
	tolua.o \
	tolualua.o

T= $(TOLUA)/bin/tolua

all: $T

$T: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LIB) -L$(TOLUA)/lib -ltolua -llua -llualib -lm

clean:
	rm -f $(OBJS) $T

=== src/lib/Makefile ===
# makefile for tolua library

TOLUA=../..

include $(TOLUA)/config

OBJS=	\
	tolua_lb.o \
	tolua_rg.o \
	tolua_tt.o \
	tolua_tm.o \
	tolua_gp.o \
	tolua_eh.o \
	tolua_bd.o

T= $(TOLUA)/lib/libtolua.a

all: $T

$T: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@

clean:
	rm -f $(OBJS) $T

## tolua 5.1b

=== Makefile ===
# makefile for tolua hierarchy

tolua:
	cd src/lib; make all
	cd src/bin; make all

tests:
	cd src/tests; make all

all clean klean:
	cd src/lib; make $@
	cd src/bin; make $@
	cd src/tests; make $@

debug:
	cd src/bin; make all

=== src/bin/Makefile ===
# makefile for tolua executable

TOLUA=../..

include $(TOLUA)/config

OBJS=	\
	tolua.o \
	toluabind.o

T= $(TOLUA)/bin/tolua

all: $T

$T: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LIB) -ltolua -llua -lm

clean:
	rm -f $(OBJS) $T

klean:
	rm -f $T

=== src/tests/Makefile ===
# makefile for tolua executable

TOLUA=../..

include $(TOLUA)/config

LIBS = -ltolua -llua

all: tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective
	tmodule; tnamespace; tclass; tinheritance; tconstant; tvariable; tfunction; tarray; tdirective; tfunction

tarray: tarray.o tarraybind.o
	$(CC) $(CFLAGS) -o $@ tarray.o tarraybind.o $(TLIB) $(LIB) $(LIBS)
tarraybind.c: tarray.pkg
	$(TOLUA)/bin/tolua -o $@ $<

tvariable: tvariable.o tvariablebind.o
	$(CC) $(CFLAGS) -o $@ tvariable.o tvariablebind.o $(TLIB) $(LIB) $(LIBS)
tvariablebind.c: tvariable.pkg
	$(TOLUA)/bin/tolua -o $@ $<

tmodule: tmodule.o tmodulebind.o
	$(CC) $(CFLAGS) -o $@ tmodule.o tmodulebind.o $(TLIB) $(LIB) $(LIBS)
tmodulebind.c: tmodule.pkg
	$(TOLUA)/bin/tolua -o $@ $<

tnamespace: tnamespace.o tnamespacebind.o
	$(CCPP) $(CFLAGS) -o $@ tnamespace.o tnamespacebind.o $(TLIB) $(LIB) $(LIBS)
tnamespacebind.cpp: tnamespace.pkg
	$(TOLUA)/bin/tolua -o $@ $<

tdirective: tdirectivebind.o
	$(CC) $(CFLAGS) -o $@ tdirectivebind.o $(TLIB) $(LIB) $(LIBS)
tdirectivebind.c: tdirective.pkg
	$(TOLUA)/bin/tolua -o $@ $<

tfunction: tfunction.o tfunctionbind.o
	$(CCPP) $(CPPFLAGS) -o $@ tfunction.o tfunctionbind.o $(TLIB) $(LIB) $(LIBS)
tfunctionbind.cpp: tfunction.pkg
	$(TOLUA)/bin/tolua -o $@ $<

tconstant: tconstant.o tconstantbind.o
	$(CCPP) $(CPPFLAGS) -o $@ tconstant.o tconstantbind.o $(TLIB) $(LIB) $(LIBS)
tconstantbind.cpp: tconstant.pkg
	$(TOLUA)/bin/tolua -o $@ $<

tclass:  tclass.o tclassbind.o
	$(CCPP) $(CPPFLAGS) -o $@ tclass.o tclassbind.o $(TLIB) $(LIB) $(LIBS)
tclassbind.cpp: tclass.pkg
	$(TOLUA)/bin/tolua -o $@ $<

tinheritance:  tinheritance.o tinheritancebind.o
	$(CCPP) $(CPPFLAGS) -o $@ tinheritance.o tinheritancebind.o $(TLIB) $(LIB) $(LIBS)
tinheritancebind.cpp: tinheritance.pkg
	$(TOLUA)/bin/tolua -o $@ $<

.cpp.o:
	$(CCPP) -c $(CPPFLAGS) -o $@ $<

.pkg.cpp:
	$(TOLUA)/bin/tolua -o $@ $<

clean:
	rm -f t*bind.* 
	rm -f *.o 

klean:
	rm -f tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective

## tolua 5.1.3

=== src/bin/Makefile ===
# makefile for tolua executable

TOLUA=../..

include $(TOLUA)/config

OBJS=	\
	tolua.o \
	toluabind.o

OBJS_D=  \
	tolua_lua.o

T= $(TOLUA)/bin/tolua
T_D = $(TOLUA)/bin/tolua_lua

all: $(T)

$(T): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LIB) -ltolua -llua -lm

toluabind.c: $(T_D)
	$(T_D) -o toluabind.c tolua.pkg

$(T_D): $(OBJS_D)
	$(CC) -o $@ $(OBJS_D) $(LIB) -ltolua -llua -lm

tolua_lua.o: tolua.c
	$(CC) -c -DLUA_SOURCE $(INC) -o $@ $<

clean:
	rm -f $(OBJS) -$(OBJS_D) $(T) $(T_D)

klean:
	rm -f $(OBJS) -$(OBJS_D) $(T_D)

=== src/tests/Makefile ===
# makefile for tolua executable

TOLUA=../..
TOLUAEXE = tolua

include $(TOLUA)/config

LIBS = -ltolua -llua

all: tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective tenum tvararg
	./tmodule; ./tnamespace; ./tclass; ./tinheritance; ./tconstant; ./tvariable; ./tfunction; ./tarray; ./tdirective; ./tfunction; ./tenum; ./tvararg

tarray: tarray.o tarraybind.o
	$(CC) $(CFLAGS) -o $@ tarray.o tarraybind.o $(TLIB) $(LIB) $(LIBS)
tarraybind.c: tarray.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tvariable: tvariable.o tvariablebind.o
	$(CC) $(CFLAGS) -o $@ tvariable.o tvariablebind.o $(TLIB) $(LIB) $(LIBS)
tvariablebind.c: tvariable.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tmodule: tmodule.o tmodulebind.o
	$(CC) $(CFLAGS) -o $@ tmodule.o tmodulebind.o $(TLIB) $(LIB) $(LIBS)
tmodulebind.c: tmodule.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tnamespace: tnamespace.o tnamespacebind.o
	$(CCPP) $(CFLAGS) -o $@ tnamespace.o tnamespacebind.o $(TLIB) $(LIB) $(LIBS)
tnamespacebind.cpp: tnamespace.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tdirective: tdirectivebind.o
	$(CC) $(CFLAGS) -o $@ tdirectivebind.o $(TLIB) $(LIB) $(LIBS)
tdirectivebind.c: tdirective.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tfunction: tfunction.o tfunctionbind.o
	$(CCPP) $(CPPFLAGS) -o $@ tfunction.o tfunctionbind.o $(TLIB) $(LIB) $(LIBS)
tfunctionbind.cpp: tfunction.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tconstant: tconstant.o tconstantbind.o
	$(CCPP) $(CPPFLAGS) -o $@ tconstant.o tconstantbind.o $(TLIB) $(LIB) $(LIBS)
tconstantbind.cpp: tconstant.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tclass:  tclass.o tclassbind.o
	$(CCPP) $(CPPFLAGS) -o $@ tclass.o tclassbind.o $(TLIB) $(LIB) $(LIBS)
tclassbind.cpp: tclass.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tinheritance:  tinheritance.o tinheritancebind.o
	$(CCPP) $(CPPFLAGS) -o $@ tinheritance.o tinheritancebind.o $(TLIB) $(LIB) $(LIBS)
tinheritancebind.cpp: tinheritance.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tenum:  tenum.o tenumbind.o
	$(CC) $(CPPFLAGS) -o $@ tenum.o tenumbind.o $(TLIB) $(LIB) $(LIBS)
tenumbind.c: tenum.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

tvararg:  tvararg.o tvarargbind.o
	$(CCPP) $(CPPFLAGS) -o $@ tvararg.o tvarargbind.o $(TLIB) $(LIB) $(LIBS)
tvarargbind.cpp: tvararg.pkg
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

.cpp.o:
	$(CCPP) -c $(CPPFLAGS) -o $@ $<

.pkg.cpp:
	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<

clean:
	rm -f t*bind.* 
	rm -f *.o 

klean:
	rm -f tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective

## tolua 5.2.0

=== Makefile ===
--- 
+++ 
@@ -13,5 +13,5 @@
 	cd src/tests; make $@
 
 debug:
-	cd src/bin; make all
+	cd src/bin; make debug

=== src/bin/Makefile ===
--- 
+++ 
@@ -29,8 +29,8 @@
 	$(CC) -c -DLUA_SOURCE $(INC) -o $@ $<
 
 clean:
-	rm -f $(OBJS) -$(OBJS_D) $(T) $(T_D)
+	rm -f tolua_lua.o $(OBJS) -$(OBJS_D) $(T) $(T_D)
 
 klean:
-	rm -f $(OBJS) -$(OBJS_D) $(T_D)
+	rm -f tolua_lua.o $(OBJS) -$(OBJS_D) $(T_D)

=== src/lib/Makefile ===
# makefile for tolua library

TOLUA=../..

include $(TOLUA)/config

OBJS=	\
	tolua_event.o \
	tolua_is.o \
	tolua_map.o \
	tolua_push.o \
	tolua_to.o

T= $(TOLUA)/lib/libtolua.a

all: $T

$T: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@

clean:
	rm -f $(OBJS) 
	
klean:
	rm -f $T

=== src/tests/Makefile ===
--- 
+++ 
@@ -7,7 +7,9 @@
 
 LIBS = -ltolua -llua
 
-all: tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective tenum tvararg
+EXE = tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective tenum tvararg
+
+all: $(EXE)
 	./tmodule; ./tnamespace; ./tclass; ./tinheritance; ./tconstant; ./tvariable; ./tfunction; ./tarray; ./tdirective; ./tfunction; ./tenum; ./tvararg
 
 tarray: tarray.o tarraybind.o
@@ -76,7 +78,7 @@
 	rm -f *.o 
 
 klean:
-	rm -f tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective
+	rm -f $(EXE)

## tolua 5.2.4

=== src/tests/Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 LIBS = -ltolua -llua
 
-EXE = tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective tenum tvararg
+EXE = tmodule tnamespace tclass tpeer tinheritance tconstant tvariable tfunction tarray tdirective tenum tvararg
 
 all: $(EXE)
-	./tmodule; ./tnamespace; ./tclass; ./tinheritance; ./tconstant; ./tvariable; ./tfunction; ./tarray; ./tdirective; ./tfunction; ./tenum; ./tvararg
+	./tmodule; ./tnamespace; ./tclass; ./tpeer; ./tinheritance; ./tconstant; ./tvariable; ./tfunction; ./tarray; ./tdirective; ./tfunction; ./tenum; ./tvararg
 
 tarray: tarray.o tarraybind.o
 	$(CC) $(CFLAGS) -o $@ tarray.o tarraybind.o $(TLIB) $(LIB) $(LIBS)
@@ -52,6 +52,11 @@
 tclassbind.cpp: tclass.pkg
 	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<
 
+tpeer:  tpeer.o tpeerbind.o
+	$(CCPP) $(CPPFLAGS) -o $@ tpeer.o tpeerbind.o $(TLIB) $(LIB) $(LIBS)
+tpeerbind.cpp: tpeer.pkg
+	$(TOLUA)/bin/$(TOLUAEXE) -o $@ $<
+
 tinheritance:  tinheritance.o tinheritancebind.o
 	$(CCPP) $(CPPFLAGS) -o $@ tinheritance.o tinheritancebind.o $(TLIB) $(LIB) $(LIBS)
 tinheritancebind.cpp: tinheritance.pkg

=== debian/changelog ===
tolua (5.2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format (Closes: #1007375)
  * d/control: Point VCS-* to salsa, alioth is down since years.
    (Closes: #1018722)
  * Remove old compat level file and replace it with B-D on debhelper-compat,
     bumping from level 7 to 13. (Closes: #1018721)
  * changes required to bump S-V to 4.6.1. (Closes: #1018723)
    - Using https instead of http in several places.
    - Specifying Rules-Requre-Root.
  * Add missing CFLAGS to Makefile, for better hardening.

 -- Tobias Frost <tobi@debian.org>  Mon, 29 Aug 2022 18:22:36 +0200

tolua (5.2.0-1) unstable; urgency=low

  * New upstream version 5.2.0
  * Bump Standards-Version to 3.9.3.0. No changes necessary.
  * Added Vcs-* fields for newly published git repo
  * Specified source package format 1.0. This package is too simple to
    warrant conversion right now.
  * Documented development workflow in README.source
  * Bump Lua (build-)dependency to liblua5.2-dev
  * Update include path to /usr/include/lua5.2
  * Update linker flag -llua5.1->llua5.2
  * Add hardening support via dpkg-buildflags, also subsuming -g
  * Add 'test' make target alias to satisfy dh_auto_test

 -- Jimmy Kaplowitz <jimmy@debian.org>  Thu, 28 Jun 2012 00:41:41 -0400

tolua (5.1.3-1) unstable; urgency=low

  * Adopted usage of git-buildpackage
  * Switched debian/watch to use HTTP since upstream's FTP no longer
    works
  * New upstream version 5.1.3
  * Updated Standards-Version to 3.9.1.0. No changes necessary.

 -- Jimmy Kaplowitz <jimmy@debian.org>  Mon, 23 Aug 2010 02:45:45 -0400

tolua (5.1.2-1) unstable; urgency=low

  * New upstream release
  * Switched to debhelper 7 with minimal rules file format
  * Made clean target a little more complete

 -- Jimmy Kaplowitz <jimmy@debian.org>  Thu, 16 Jul 2009 06:01:05 +0200

tolua (5.1b-3) unstable; urgency=low

  * Converted debian/watch to format 3 (fixes tolua DEHS page)
  * Removed maintainer scripts, none of which did anything
  * Install MANIFEST file as documentation along with README, and
    reference it from debian/copyright as containing the date and time
    of upstream publication

 -- Jimmy Kaplowitz <jimmy@debian.org>  Mon, 28 Apr 2008 01:42:42 -0400

tolua (5.1b-2) unstable; urgency=low

  * Fixed missing quotes in make invocation in debian/rules (Closes:
    #476062)
  * Turned on -D_REENTRANT as per Lenny RC policy
  * Moved the setting of -g from config to debian/rules

 -- Jimmy Kaplowitz <jimmy@debian.org>  Mon, 14 Apr 2008 18:20:54 -0400

tolua (5.1b-1) unstable; urgency=low

  * New upstream release (Closes: #288324)
  * Dropped shared library package libtolua0; upstream seems not to have
    added a shared library despite acknowledging my shared library patch
    well before releasing the current version
  * Updated to current format of debian/watch file
  * Added support for noopt DEB_BUILD_OPTIONS keyword
  * Properly removed static library in make clean target even though
    upstream Makefiles don't
  * Updated to Standards-Version 3.7.3.0
  * Removed references to dh_undocumented
  * Switched from DH_COMPAT variable to debian/compat file
  * Unignored errors from $(MAKE) clean in debian/rules
  * Added override for spurious lintian warning about copyright notice
  * Fixed section to match Debian override (devel -> libdevel)

 -- Jimmy Kaplowitz <jimmy@debian.org>  Sun, 17 Feb 2008 00:47:16 -0500

tolua (4.0a-3) unstable; urgency=low

  * Changed -Wl,-shared to -shared in src/lib/Makefile to fix building
    on hppa (Closes: #155688)

 -- Jimmy Kaplowitz <jimmy@debian.org>  Wed, 07 Aug 2002 01:38:44 -0400

tolua (4.0a-2) unstable; urgency=low

  * Add a runtime library package. (Closes: #148721)
  * Do add an extra dependency as per #146983 ;-)
  * Move the tolua binary to the -dev package.
  * Rename the binary packages to libtolua*; set a Conflicts: in the -dev
    package.
  * Write a small manpage.
  * Bump debhelper build-depends and set DH_COMPAT=4, to be able to use the new
    dh_makeshlibs behaviour. Use dh_install instead of dh_movefiles.
  * All of the above changes are due to Filip Van Raemdonck. Thanks very much.
  * Expand Filip's man page by adapting tolua's built-in help output.
  * Add Provides: and Replaces: to the -dev package as well, to ensure that
    upgrades work as expected.
  * Make the libtolua-dev package depend on the same version of the libtolua0
    package.

 -- Jimmy Kaplowitz <jimmy@debian.org>  Mon,  5 Aug 2002 03:26:18 -0400

tolua (4.0a-1) unstable; urgency=low

  * Initial Release.

 -- Jimmy Kaplowitz <jimmy@debian.org>  Tue, 30 Apr 2002 01:37:09 -0400

=== debian/control ===
Source: tolua
Priority: optional
Section: libdevel
Maintainer: Jimmy Kaplowitz <jimmy@debian.org>
Build-Depends: debhelper-compat (= 13), liblua5.2-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.tecgraf.puc-rio.br/~celes/tolua/
Vcs-Browser: https://salsa.debian.org/debian/tolua
Vcs-Git: https://salsa.debian.org/debian/tolua.git

Package: libtolua-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.2-dev
Description: Tool to integrate C/C++ code with Lua - development files
 tolua is a tool that greatly simplifies the integration of C/C++ code with
 Lua. Based on a cleaned header file, tolua automatically generates the
 binding code to access C/C++ features from Lua. Using Lua API and tag
 method facilities, tolua maps C/C++ constants, external variables,
 functions, classes, and methods to Lua.

=== debian/watch ===
version=3

https://www.tecgraf.puc-rio.br/~celes/tolua/tolua-(.*)\.tar\.gz	debian	uupdate
